Skip to content

Update a job

PATCH
/api/v1/jobs/{job_id}
curl --request PATCH \
--url https://example.com/api/v1/jobs/1 \
--header 'Content-Type: application/json' \
--data '{ "new_settings": {}, "fields_to_remove": [ "example" ] }'

Update job settings with option to remove specific fields.

job_id
required
Job Id
integer
X-Environment-Id
Any of:
string
Media typeapplication/json
JobUpdateRequest

Request model for updating job settings.

object
new_settings
Any of:
object
key
additional properties
any
fields_to_remove
Any of:
Array<string>
Examplegenerated
{
"new_settings": {},
"fields_to_remove": [
"example"
]
}

Successful Response

Media typeapplication/json
JobResponse

Response model for job information (flattened).

object
job_name
required
Job Name

Name of the job

string
job_type
Any of:
string
job_id
required
Job Id
integer
creator_user_name
Any of:
string
run_as_user_name
Any of:
string
created_time
Any of:
string format: date-time
modified_time
Any of:
string format: date-time
is_active
Is Active
boolean
default: true
tags
Any of:
object
key
additional properties
string
timeout_seconds
Any of:
integer
max_concurrent_runs
Any of:
integer
description
Any of:
string
settings
Any of:
object
key
additional properties
any
schedule_type
Any of:
string
schedule_details
Any of:
object
key
additional properties
any
continuous_config
Any of:
object
key
additional properties
any
notification_settings
Any of:
object
key
additional properties
any
health_rules
Any of:
object
key
additional properties
any
trigger_state
Any of:
object
key
additional properties
any
budget_policy_id
Any of:
string
usage_policy_id
Any of:
string
Example
{
"is_active": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}